For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCreate child organization
      • POSTCreate organization custom role.
      • GETGet Current Organization
      • GETGet Team List
      • GETGet the roles of the current organization.
      • GETRetrieve Departments
      • GETRetrieve working locations
      • PATCHUpdate organization custom role
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsOrganizations

Get Team List

GET
/teams
GET
/rest/v2/teams
$curl https://api.letsdeel.com/rest/v2/teams \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "00000000-0000-0000-0000-000000000000",
5 "name": "Engineering"
6 },
7 {
8 "id": "11111111-1111-1111-1111-111111111111",
9 "name": "Marketing"
10 }
11 ]
12}

Returns the list of teams within the authenticated user’s organization, with each entry including the team’s ID and name. Token scopes: organizations:read

Was this page helpful?
Previous

Get the roles of the current organization.

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Response

Successful retrieval of the teams in the organization.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error